import 'package:firebase_core/firebase_core.dart';
import 'package:firebase_messaging/firebase_messaging.dart';
import 'package:flutter/material.dart';
import 'package:logging/logging.dart';

import 'app.dart';
import 'config.dart';
import 'data/provider/messaging_fcm.dart';

Future<void> main() async {
  WidgetsFlutterBinding.ensureInitialized();
  await Firebase.initializeApp();
  FirebaseMessaging.onBackgroundMessage(backgroundMessageHandler);

  Config(
      flavor: Flavor.DEV,
      color: Colors.blue,
      apiURL: "https://asia-northeast1-fcs-dev1.cloudfunctions.net/API12",
      reportURL: "http://petrok.mokkon.com:8091",
      reportProjectID: "fcs-dev",
      bucketName: "gs://fcs-dev1-us",
      level: Level.ALL);
  runApp(App());
}
